Makro Odebrat historii parametrů

From FreeCAD Documentation
Revision as of 20:27, 10 June 2014 by Honza32 (talk | contribs)
Jump to: navigation, search

32px Remove parametric history

Popis
Odebere všechny parametrické asociace z objektu ponechajíc ho jako osamocené těleso

Autor
Yorik
Download
None
Odkazy
Verze
1.0
Datum poslední úpravy
None
Verze FreeCAD
None
Výchozí zástupce
None
Viz též
None

Contents


Popis

Odebere všechny parametrické asociace z objektu ponechajíc ho jako osamocené těleso


Before and after:


RPH before.png
RPH after.png

Script

Remove parametric history.FCMacro

originalObject = FreeCAD.ActiveDocument.ActiveObject
newShape = originalObject.Shape.copy()
newName = FreeCAD.ActiveDocument.ActiveObject.Name
FreeCAD.ActiveDocument.removeObject(newName)
newObject = FreeCAD.ActiveDocument.addObject("Part::Feature",newName)
newObject.Shape = newShape
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano